Bug 801795 - modprobe padlock-sha does not return to shell
modprobe padlock-sha does not return to shell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 09:27 EST by dev002
Modified: 2013-02-06 05:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-06 05:35:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dev002 2012-03-09 09:27:05 EST
Description of problem:
modprobe padlock-sha does not return  to shell

Version-Release number of selected component (if applicable):


How reproducible:
modprobe padlock-sha

Steps to Reproduce:
1.modprobe padlock-sha
2.wait
3.wait
  
Actual results:
does not load padlock-sha

Expected results:
load padlock-sha

Additional info:

Handle 0x0000, DMI type 0, 20 bytes
BIOS Information
<------>Vendor: Phoenix Technologies, LTD
<------>Version: 6.00 PG
<------>Release Date: 03/31/2009
<------>Address: 0xE0000
<------>Runtime Size: 128 kB
<------>ROM Size: 512 kB
<------>Characteristics:
<------><------>ISA is supported
<------><------>PCI is supported
<------><------>PNP is supported
<------><------>APM is supported
<------><------>BIOS is upgradeable
<------><------>BIOS shadowing is allowed
<------><------>Boot from CD is supported
<------><------>Selectable boot is supported
<------><------>BIOS ROM is socketed
<------><------>EDD is supported
<------><------>5.25"/360 kB floppy services are supported (int 13h)
<------><------>5.25"/1.2 MB floppy services are supported (int 13h)
<------><------>3.5"/720 kB floppy services are supported (int 13h)
<------><------>3.5"/2.88 MB floppy services are supported (int 13h)
<------><------>Print screen service is supported (int 5h)
<------><------>8042 keyboard services are supported (int 9h)
<------><------>Serial services are supported (int 14h)
<------><------>Printer services are supported (int 17h)
<------><------>CGA/mono video services are supported (int 10h)
<------><------>ACPI is supported
<------><------>USB legacy is supported
<------><------>AGP is supported
<------><------>LS-120 boot is supported
<------><------>ATAPI Zip drive boot is supported
<------><------>BIOS boot specification is supported

Processor Information
<------>Socket Designation: Socket 370
<------>Type: Central Processor
<------>Family: Other
<------>Manufacturer: VIA
<------>ID: A9 06 00 00 FF BB C9 A7
<------>Version: VIA C7-D
<------>Voltage: 1.0 V
<------>External Clock: 100 MHz
<------>Max Speed: 1500 MHz
<------>Current Speed: 1500 MHz
<------>Status: Populated, Enabled
<------>Upgrade: ZIF Socket
<------>L1 Cache Handle: 0x0008
<------>L2 Cache Handle: 0x0009
<------>L3 Cache Handle: Not Provided
<------>Serial Number:..
<------>Asset Tag:..
<------>Part Number:..
Comment 1 dev002 2012-03-09 12:29:40 EST
------------[ cut here ]------------
WARNING: at crypto/algapi.c:346 crypto_wait_for_test+0x58/0x70()
Hardware name:..
Modules linked in: padlock_sha(+) act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress
Hardware name:..
Modules linked in: padlock_sha(+) act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress
Mar  9 15:26:31 ww1 kernel: _dscp xt_dccp xt_connmark xt_CLASSIFY xt_AUDIT ip6t_LOG ipt_LOG ip6t_REJECT iptable_nat nf_nat xt_state nf_conntrack_ipv6 nf_connt
Pid: 24497, comm: modprobe Not tainted 3.2.9-1.fc16.i686.PAE #1
Call Trace:
[<c0933fbe>] ? printk+0x2d/0x2f
[<c045e9a2>] warn_slowpath_common+0x72/0xa0
[<c062d258>] ? crypto_wait_for_test+0x58/0x70
[<c062d258>] ? crypto_wait_for_test+0x58/0x70
[<c045e9f2>] warn_slowpath_null+0x22/0x30
[<c062d258>] crypto_wait_for_test+0x58/0x70
[<c062d39c>] crypto_register_alg+0x5c/0x70
[<c063265b>] crypto_register_shash+0x6b/0xc0
[<f83cf081>] padlock_init+0x81/0x1000 [padlock_sha]
[<c0403035>] do_one_initcall+0x35/0x170
[<f83cf000>] ? 0xf83cefff
[<c049736a>] sys_init_module+0xeca/0x1a80
[<c094445f>] sysenter_do_call+0x12/0x28
---[ end trace 1c9f401bbb19792f ]---
padlock_sha: Using VIA PadLock ACE for SHA1/SHA256 algorithms.
padlock_sha: Fallback driver 'sha256' could not be loaded!
alg: hash: Failed to load transform for sha256-padlock: -2
alg: Unexpected test result for sha256-padlock: -2
Comment 2 Dave Jones 2012-03-22 13:00:57 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:04:47 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:15:35 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 dev002 2012-03-24 11:05:48 EDT
[root@host log]# uname -a
Linux hostname 3.3.0-4.fc16.i686.PAE #1 SMP Tue Mar 20 18:24:16 UTC 2012 i686 i686 i386 GNU/Linux
[root@host log]# modprobe padlock-sha
[root@host log]# modprobe padlock-sha
[root@host log]# modprobe padlock_aes
[root@host log]# rmmod padlock-sha
[root@host log]# modprobe padlock-sha



^C
[root@host log]# modprobe padlock-sha
[root@host log]# 



As you can see after rmmod modprobe seems to fail, need ctrl+c
Comment 6 dev002 2012-07-25 12:37:21 EDT
 [   64.584949] ------------[ cut here ]------------
 [   64.584980] WARNING: at crypto/algapi.c:346 crypto_wait_for_test+0x58/0x70()
 [   64.584987] Hardware name:..
 [   64.584991] Modules linked in: ata_generic pata_acpi padlock_sha(+) padlock_aes sata_via
 [   64.585047] Pid: 269, comm: modprobe Not tainted 3.4.4-4.fc16.i686.PAE #1
 [   64.585054] Call Trace:
 [   64.585068]  [<c094ab5c>] ? printk+0x2d/0x2f
 [   64.585081]  [<c0446f62>] warn_slowpath_common+0x72/0xa0
 [   64.585091]  [<c06338d8>] ? crypto_wait_for_test+0x58/0x70
 [   64.585101]  [<c06338d8>] ? crypto_wait_for_test+0x58/0x70
 [   64.585110]  [<c0446fb2>] warn_slowpath_null+0x22/0x30
 [   64.585120]  [<c06338d8>] crypto_wait_for_test+0x58/0x70
 [   64.585130]  [<c0633a1c>] crypto_register_alg+0x5c/0x70
 [   64.585143]  [<c0638bfb>] crypto_register_shash+0x6b/0xc0
 [   64.585160]  [<f7e44070>] padlock_init+0x70/0x1000 [padlock_sha]
 [   64.585170]  [<c0403034>] do_one_initcall+0x34/0x170
 [   64.585179]  [<f7e44000>] ? 0xf7e43fff
 [   64.585194]  [<c04a1454>] sys_init_module+0xfa4/0x1cd0
 [   64.585210]  [<c095aa5f>] sysenter_do_call+0x12/0x28
 [   64.585218] ---[ end trace 27db070d6b3fba12 ]---
 [   64.585228] padlock_sha: Using VIA PadLock ACE for SHA1/SHA256 algorithms.
 [   64.635523] padlock_sha: Fallback driver 'sha256' could not be loaded!
 [   64.635538] alg: hash: Failed to load transform for sha256-padlock: -2
 [   64.635546] alg: Unexpected test result for sha256-padlock: -2
Comment 7 Dave Jones 2012-10-23 11:27:48 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 8 dev002 2012-10-30 05:01:25 EDT
it works

[root@*** log]# modprobe padlock-sha
[root@*** log]#
Comment 9 dev002 2012-10-30 06:09:33 EDT
but:

[    4.053037] ata2: SATA link down 1.5 Gbps (SStatus 0 SControl 300)
[   64.629985] ------------[ cut here ]------------
[   64.630018] WARNING: at crypto/algapi.c:329 crypto_wait_for_test+0x58/0x70()
[   64.630056] Hardware name:..
[   64.630059] Modules linked in: padlock_sha(+) ata_generic pata_acpi padlock_aes sata_via
[   64.630080] Pid: 268, comm: modprobe Not tainted 3.6.2-1.fc16.i686.PAE #1
[   64.630084] Call Trace:
[   64.630101]  [<c044c212>] warn_slowpath_common+0x72/0xa0
[   64.630110]  [<c06442b8>] ? crypto_wait_for_test+0x58/0x70
[   64.630119]  [<c06442b8>] ? crypto_wait_for_test+0x58/0x70
[   64.630128]  [<c044c262>] warn_slowpath_null+0x22/0x30
[   64.630136]  [<c06442b8>] crypto_wait_for_test+0x58/0x70
[   64.630143]  [<c06443fc>] crypto_register_alg+0x5c/0x70
[   64.630155]  [<c06495db>] crypto_register_shash+0x6b/0xc0
[   64.630169]  [<f7e51070>] padlock_init+0x70/0x1000 [padlock_sha]
[   64.630179]  [<c0403034>] do_one_initcall+0x34/0x170
[   64.630186]  [<f7e51000>] ? 0xf7e50fff
[   64.630198]  [<c04a97ac>] sys_init_module+0xfac/0x1ce0
[   64.630214]  [<c097745f>] sysenter_do_call+0x12/0x28
[   64.630219] ---[ end trace 3f2905d4dd17adba ]---
[   64.630227] padlock_sha: Using VIA PadLock ACE for SHA1/SHA256 algorithms.
Comment 10 Fedora End Of Life 2013-01-16 09:32:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 dev002 2013-02-06 05:35:30 EST
updated , works in fedora 18

Note You need to log in before you can comment on or make changes to this bug.